#ifndef COMPASSINFO_H
#define COMPASSINFO_H

#include <QObject>
#include <QCompass>
#include <QCompassReading>

#include "qdll_global.h"

QTM_USE_NAMESPACE

class QDLLSHARED_EXPORT CompassInfo : public QObject, public QCompassFilter
{
    Q_OBJECT
    Q_CLASSINFO("Author", "Sebastiano Galazzo")
    Q_CLASSINFO("Email", "sebastiano.galazzo@gmail.com")

public:
    CompassInfo();
    bool filter(QCompassReading *reading);
    qreal 	azimuth;
private:
    QCompass* m_sensor;
};

#endif // COMPASSINFO_H
